## com.gargoylesoftware.htmlunit.html
Class DomNode.DescendantElementsIterator

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode.DescendantElementsIterator

All Implemented Interfaces:
  java.util.Iterator<HtmlElement>

Enclosing class:
  DomNode

    protected class DomNode.DescendantElementsIterator

extends java.lang.Object
implements java.util.Iterator<HtmlElement>

An iterator over all HtmlElement descendants in document order.

Constructor Summary
`protected` `DomNode.DescendantElementsIterator()`

Method Summary
`boolean` `hasNext()`
`HtmlElement` `next()`
`HtmlElement` `nextElement()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomNode.DescendantElementsIterator

    protected DomNode.DescendantElementsIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<HtmlElement>`
  Returns:
    is there a next one?

### next

    public HtmlElement next()

  Specified by:
    `next` in interface `java.util.Iterator<HtmlElement>`
  Returns:
    the next one

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  Specified by:
    `remove` in interface `java.util.Iterator<HtmlElement>`
  Throws:
    `java.lang.UnsupportedOperationException` - always

### nextElement

    public HtmlElement nextElement()

  Returns:
    is there a next one?

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.